import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubReleaseConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly owner: string;
    /**
     *
     */
    readonly releaseId?: number;
    /**
     *
     */
    readonly releaseTag?: string;
    /**
     *
     */
    readonly repository: string;
    /**
     *
     */
    readonly retrieveBy: string;
}
/**
 *
 */
export declare class DataGithubRelease extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubReleaseConfig);
    /**
     *
     */
    get assertsUrl(): string;
    /**
     *
     */
    get body(): string;
    /**
     *
     */
    get createdAt(): string;
    /**
     *
     */
    get draft(): boolean;
    /**
     *
     */
    get htmlUrl(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get name(): string;
    private _owner;
    /**
     *
     */
    get owner(): string;
    /**
     *
     */
    set owner(value: string);
    /**
     *
     */
    get prerelease(): boolean;
    /**
     *
     */
    get publishedAt(): string;
    private _releaseId?;
    /**
     *
     */
    get releaseId(): number | undefined;
    /**
     *
     */
    set releaseId(value: number | undefined);
    private _releaseTag?;
    /**
     *
     */
    get releaseTag(): string | undefined;
    /**
     *
     */
    set releaseTag(value: string | undefined);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    private _retrieveBy;
    /**
     *
     */
    get retrieveBy(): string;
    /**
     *
     */
    set retrieveBy(value: string);
    /**
     *
     */
    get tarballUrl(): string;
    /**
     *
     */
    get targetCommitish(): string;
    /**
     *
     */
    get uploadUrl(): string;
    /**
     *
     */
    get url(): string;
    /**
     *
     */
    get zipballUrl(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
