import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubRepositoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly fullName?: string;
    /**
     *
     */
    readonly name?: string;
}
/**
 *
 */
export declare class DataGithubRepository extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGithubRepositoryConfig);
    /**
     *
     */
    get allowMergeCommit(): boolean;
    /**
     *
     */
    get allowRebaseMerge(): boolean;
    /**
     *
     */
    get allowSquashMerge(): boolean;
    /**
     *
     */
    get archived(): boolean;
    /**
     *
     */
    get defaultBranch(): string;
    /**
     *
     */
    get description(): string;
    private _fullName?;
    /**
     *
     */
    get fullName(): string | undefined;
    /**
     *
     */
    set fullName(value: string | undefined);
    /**
     *
     */
    get gitCloneUrl(): string;
    /**
     *
     */
    get hasDownloads(): boolean;
    /**
     *
     */
    get hasIssues(): boolean;
    /**
     *
     */
    get hasProjects(): boolean;
    /**
     *
     */
    get hasWiki(): boolean;
    /**
     *
     */
    get homepageUrl(): string;
    /**
     *
     */
    get htmlUrl(): string;
    /**
     *
     */
    get httpCloneUrl(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    /**
     *
     */
    get nodeId(): string;
    /**
     *
     */
    get private(): boolean;
    /**
     *
     */
    get sshCloneUrl(): string;
    /**
     *
     */
    get svnUrl(): string;
    /**
     *
     */
    get topics(): string[];
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
