import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubUserConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export declare class DataGithubUser extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubUserConfig);
    /**
     *
     */
    get avatarUrl(): string;
    /**
     *
     */
    get bio(): string;
    /**
     *
     */
    get blog(): string;
    /**
     *
     */
    get company(): string;
    /**
     *
     */
    get createdAt(): string;
    /**
     *
     */
    get email(): string;
    /**
     *
     */
    get followers(): number;
    /**
     *
     */
    get following(): number;
    /**
     *
     */
    get gpgKeys(): string[];
    /**
     *
     */
    get gravatarId(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get login(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get nodeId(): string;
    /**
     *
     */
    get publicGists(): number;
    /**
     *
     */
    get publicRepos(): number;
    /**
     *
     */
    get siteAdmin(): boolean;
    /**
     *
     */
    get sshKeys(): string[];
    /**
     *
     */
    get updatedAt(): string;
    private _username;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    set username(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
