import { Construct } from 'constructs';
import { TerraformProvider } from 'cdktf';
/**
 *
 */
export interface GithubProviderConfig {
    /**
     * Authenticate without a token.
     *
     * When `anonymous`is true, the provider will not be able to access resourcesthat require authentication.
     */
    readonly anonymous?: boolean;
    /**
     * The GitHub Base API URL.
     */
    readonly baseUrl?: string;
    /**
     *
     */
    readonly individual?: boolean;
    /**
     * Whether server should be accessed without verifying the TLS certificate.
     */
    readonly insecure?: boolean;
    /**
     * The GitHub organization name to manage.
     *
     * If `individual` is false, `organization` is required.
     */
    readonly organization?: string;
    /**
     * The OAuth token used to connect to GitHub.
     *
     * If `anonymous` is false, `token` is required.
     */
    readonly token?: string;
    /**
     * Alias name.
     */
    readonly alias?: string;
}
/**
 *
 */
export declare class GithubProvider extends TerraformProvider {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: GithubProviderConfig);
    private _anonymous?;
    /**
     *
     */
    get anonymous(): boolean | undefined;
    /**
     *
     */
    set anonymous(value: boolean | undefined);
    private _baseUrl?;
    /**
     *
     */
    get baseUrl(): string | undefined;
    /**
     *
     */
    set baseUrl(value: string | undefined);
    private _individual?;
    /**
     *
     */
    get individual(): boolean | undefined;
    /**
     *
     */
    set individual(value: boolean | undefined);
    private _insecure?;
    /**
     *
     */
    get insecure(): boolean | undefined;
    /**
     *
     */
    set insecure(value: boolean | undefined);
    private _organization?;
    /**
     *
     */
    get organization(): string | undefined;
    /**
     *
     */
    set organization(value: string | undefined);
    private _token?;
    /**
     *
     */
    get token(): string | undefined;
    /**
     *
     */
    set token(value: string | undefined);
    private _alias?;
    /**
     *
     */
    get alias(): string | undefined;
    /**
     *
     */
    set alias(value: string | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
