import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface OrganizationWebhookConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly active?: boolean;
    /**
     *
     */
    readonly events: string[];
    /**
     *
     */
    readonly name?: string;
    /**
     * configuration block.
     */
    readonly configuration?: OrganizationWebhookConfiguration[];
}
/**
 *
 */
export interface OrganizationWebhookConfiguration {
    /**
     *
     */
    readonly contentType?: string;
    /**
     *
     */
    readonly insecureSsl?: boolean;
    /**
     *
     */
    readonly secret?: string;
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export declare class OrganizationWebhook extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: OrganizationWebhookConfig);
    private _active?;
    /**
     *
     */
    get active(): boolean | undefined;
    /**
     *
     */
    set active(value: boolean | undefined);
    /**
     *
     */
    get etag(): string;
    private _events;
    /**
     *
     */
    get events(): string[];
    /**
     *
     */
    set events(value: string[]);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    /**
     *
     */
    get url(): string;
    private _configuration?;
    /**
     *
     */
    get configuration(): OrganizationWebhookConfiguration[] | undefined;
    /**
     *
     */
    set configuration(value: OrganizationWebhookConfiguration[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
