import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RepositoryFileConfig extends TerraformMetaArguments {
    /**
     * The branch name, defaults to "master".
     */
    readonly branch?: string;
    /**
     * The commit author name, defaults to the authenticated user's name.
     */
    readonly commitAuthor?: string;
    /**
     * The commit author email address, defaults to the authenticated user's email address.
     */
    readonly commitEmail?: string;
    /**
     * The commit message when creating or updating the file.
     */
    readonly commitMessage?: string;
    /**
     * The file's content.
     */
    readonly content: string;
    /**
     * The file path to manage.
     */
    readonly file: string;
    /**
     * The repository name.
     */
    readonly repository: string;
}
/**
 *
 */
export declare class RepositoryFile extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RepositoryFileConfig);
    private _branch?;
    /**
     *
     */
    get branch(): string | undefined;
    /**
     *
     */
    set branch(value: string | undefined);
    private _commitAuthor?;
    /**
     *
     */
    get commitAuthor(): string | undefined;
    /**
     *
     */
    set commitAuthor(value: string | undefined);
    private _commitEmail?;
    /**
     *
     */
    get commitEmail(): string | undefined;
    /**
     *
     */
    set commitEmail(value: string | undefined);
    private _commitMessage?;
    /**
     *
     */
    get commitMessage(): string | undefined;
    /**
     *
     */
    set commitMessage(value: string | undefined);
    private _content;
    /**
     *
     */
    get content(): string;
    /**
     *
     */
    set content(value: string);
    private _file;
    /**
     *
     */
    get file(): string;
    /**
     *
     */
    set file(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    /**
     *
     */
    get sha(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
