import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RepositoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allowMergeCommit?: boolean;
    /**
     *
     */
    readonly allowRebaseMerge?: boolean;
    /**
     *
     */
    readonly allowSquashMerge?: boolean;
    /**
     *
     */
    readonly archived?: boolean;
    /**
     *
     */
    readonly autoInit?: boolean;
    /**
     * Can only be set after initial repository creation, and only if the target branch exists.
     */
    readonly defaultBranch?: string;
    /**
     *
     */
    readonly deleteBranchOnMerge?: boolean;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly gitignoreTemplate?: string;
    /**
     *
     */
    readonly hasDownloads?: boolean;
    /**
     *
     */
    readonly hasIssues?: boolean;
    /**
     *
     */
    readonly hasProjects?: boolean;
    /**
     *
     */
    readonly hasWiki?: boolean;
    /**
     *
     */
    readonly homepageUrl?: string;
    /**
     *
     */
    readonly isTemplate?: boolean;
    /**
     *
     */
    readonly licenseTemplate?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly private?: boolean;
    /**
     *
     */
    readonly topics?: string[];
    /**
     * template block.
     */
    readonly template?: RepositoryTemplate[];
}
/**
 *
 */
export interface RepositoryTemplate {
    /**
     *
     */
    readonly owner: string;
    /**
     *
     */
    readonly repository: string;
}
/**
 *
 */
export declare class Repository extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RepositoryConfig);
    private _allowMergeCommit?;
    /**
     *
     */
    get allowMergeCommit(): boolean | undefined;
    /**
     *
     */
    set allowMergeCommit(value: boolean | undefined);
    private _allowRebaseMerge?;
    /**
     *
     */
    get allowRebaseMerge(): boolean | undefined;
    /**
     *
     */
    set allowRebaseMerge(value: boolean | undefined);
    private _allowSquashMerge?;
    /**
     *
     */
    get allowSquashMerge(): boolean | undefined;
    /**
     *
     */
    set allowSquashMerge(value: boolean | undefined);
    private _archived?;
    /**
     *
     */
    get archived(): boolean | undefined;
    /**
     *
     */
    set archived(value: boolean | undefined);
    private _autoInit?;
    /**
     *
     */
    get autoInit(): boolean | undefined;
    /**
     *
     */
    set autoInit(value: boolean | undefined);
    private _defaultBranch?;
    /**
     *
     */
    get defaultBranch(): string | undefined;
    /**
     *
     */
    set defaultBranch(value: string | undefined);
    private _deleteBranchOnMerge?;
    /**
     *
     */
    get deleteBranchOnMerge(): boolean | undefined;
    /**
     *
     */
    set deleteBranchOnMerge(value: boolean | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get fullName(): string;
    /**
     *
     */
    get gitCloneUrl(): string;
    private _gitignoreTemplate?;
    /**
     *
     */
    get gitignoreTemplate(): string | undefined;
    /**
     *
     */
    set gitignoreTemplate(value: string | undefined);
    private _hasDownloads?;
    /**
     *
     */
    get hasDownloads(): boolean | undefined;
    /**
     *
     */
    set hasDownloads(value: boolean | undefined);
    private _hasIssues?;
    /**
     *
     */
    get hasIssues(): boolean | undefined;
    /**
     *
     */
    set hasIssues(value: boolean | undefined);
    private _hasProjects?;
    /**
     *
     */
    get hasProjects(): boolean | undefined;
    /**
     *
     */
    set hasProjects(value: boolean | undefined);
    private _hasWiki?;
    /**
     *
     */
    get hasWiki(): boolean | undefined;
    /**
     *
     */
    set hasWiki(value: boolean | undefined);
    private _homepageUrl?;
    /**
     *
     */
    get homepageUrl(): string | undefined;
    /**
     *
     */
    set homepageUrl(value: string | undefined);
    /**
     *
     */
    get htmlUrl(): string;
    /**
     *
     */
    get httpCloneUrl(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _isTemplate?;
    /**
     *
     */
    get isTemplate(): boolean | undefined;
    /**
     *
     */
    set isTemplate(value: boolean | undefined);
    private _licenseTemplate?;
    /**
     *
     */
    get licenseTemplate(): string | undefined;
    /**
     *
     */
    set licenseTemplate(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nodeId(): string;
    private _private?;
    /**
     *
     */
    get private(): boolean | undefined;
    /**
     *
     */
    set private(value: boolean | undefined);
    /**
     *
     */
    get sshCloneUrl(): string;
    /**
     *
     */
    get svnUrl(): string;
    private _topics?;
    /**
     *
     */
    get topics(): string[] | undefined;
    /**
     *
     */
    set topics(value: string[] | undefined);
    private _template?;
    /**
     *
     */
    get template(): RepositoryTemplate[] | undefined;
    /**
     *
     */
    set template(value: RepositoryTemplate[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
